summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-11-28 18:58:19 +0000
committerZac Medico <zmedico@gentoo.org>2007-11-28 18:58:19 +0000
commit99d8ed50008967c66e70790a657c14c0e4fc6bc4 (patch)
tree31d9e630e1c8dae009a6832b20083640c0a9a489 /bin/ebuild.sh
parentc1581f13eb2bee8ae7d625a88990ca56f586108d (diff)
downloadportage-99d8ed50008967c66e70790a657c14c0e4fc6bc4.tar.gz
portage-99d8ed50008967c66e70790a657c14c0e4fc6bc4.tar.bz2
portage-99d8ed50008967c66e70790a657c14c0e4fc6bc4.zip
Bug #200652 - Skip ${T}/environment handling for pkg_nofetch(). (trunk r8729)
svn path=/main/branches/2.1.2/; revision=8730
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index e23434670..6bf5d88b7 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1545,8 +1545,9 @@ if hasq "depend" "${EBUILD_SH_ARGS}"; then
fi
# Automatically try to load environment.bz2 whenever
-# "${T}/environment" does not exist.
-if ! hasq ${EBUILD_SH_ARGS} clean depend && \
+# "${T}/environment" does not exist, except for phases
+# such as nofetch that do not require ${T} to exist.
+if ! hasq ${EBUILD_SH_ARGS} clean depend nofetch && \
[ ! -f "${T}/environment" ] ; then
bzip2 -dc "${EBUILD%/*}"/environment.bz2 > \
"${T}/environment" 2> /dev/null
@@ -1766,7 +1767,7 @@ fi
# Save the env only for relevant phases.
if [ -n "${EBUILD_SH_ARGS}" ] && \
- ! hasq ${EBUILD_SH_ARGS} clean help info; then
+ ! hasq ${EBUILD_SH_ARGS} clean help info nofetch ; then
# Save current environment and touch a success file. (echo for success)
umask 002
save_ebuild_env | filter_readonly_variables > "${T}/environment"